<?php
/**
 * Default Portfolio Post Template
 * Description: Post template with a content container and right sidebar.
 *
 * @package WordPress
 * @subpackage Smarty
 */
get_header(); ?>

<?php while (have_posts()) : the_post(); ?>

<?php setPostViews(get_the_ID()); ?>

<section id="subheader">
    <div class="container">
        <div class="row">
            <div class="col-12 col-sm-12 col-lg-12">
                <?php if (function_exists('smarty_breadcrumbs')) {
                    smarty_breadcrumbs();
                } ?>
            </div><!--/.col-12 col-sm-12 col-lg-12 -->
        </div><!--/.row -->
    </div>
</section>

<section id="single-header">
    <div class="container">
        <?php if ( is_single() ) { ?>
            <div class="article-header-body">
                <h2 class="entry-title"><?php the_title(); ?></h2>
                <?php smarty_post_nav(); ?>
            </div>            
            <hr/>
            
        <?php } ?>
    </div><!--/.container -->
</section>

<section id="content">
    <div class="container">
        <div class="row">

            <?php get_template_part( 'parts/part', 'singleportfolio' ); ?>
            
            <?php endwhile; // end of the loop. ?>
                
        </div><!-- /.row .content -->

    </div><!--/.container -->

    <?php get_template_part( 'parts/part', 'portfoliorelated' ); ?>

</section>

<?php smarty_page_footer_message_box(); ?>

<?php get_footer(); ?>